Skip to main content
GET
/
commands
/
{command}
Get command
curl --request GET \
  --url https://cloud.laravel.com/api/commands/{command} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "links": {
      "self": {
        "href": "<string>",
        "rel": "<string>",
        "describedby": "<string>",
        "title": "<string>",
        "type": "<string>",
        "hreflang": "<string>",
        "meta": {}
      }
    },
    "attributes": {
      "command": "<string>",
      "output": "<string>",
      "failure_reason": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "finished_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "environment": {
        "data": {
          "id": "<string>"
        }
      },
      "deployment": {
        "data": {
          "id": "<string>"
        }
      },
      "initiator": {
        "data": {
          "id": "<string>"
        }
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "links": {
        "self": {
          "href": "<string>",
          "rel": "<string>",
          "describedby": "<string>",
          "title": "<string>",
          "type": "<string>",
          "hreflang": "<string>",
          "meta": {}
        }
      },
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "created_from_automation": true,
        "vanity_domain": "<string>",
        "build_command": "<string>",
        "deploy_command": "<string>",
        "uses_octane": true,
        "uses_push_to_deploy": true,
        "uses_deploy_hook": true,
        "environment_variables": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "network_settings": {
          "cache": {
            "strategy": "<string>"
          },
          "response_headers": {
            "frame": "<string>",
            "content_type": "<string>",
            "hsts": {
              "max_age": 123,
              "include_subdomains": true,
              "preload": true
            }
          },
          "firewall": {
            "bot_categories": [],
            "rate_limit": {
              "429": true,
              "4xx": true
            },
            "under_attack_mode_started_at": "<string>",
            "block_path": true
          },
          "content_converter": true
        },
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "application": {
          "data": {
            "id": "<string>"
          }
        },
        "branch": {
          "data": {
            "id": "<string>"
          }
        },
        "deployments": {
          "data": [
            {
              "id": "<string>"
            }
          ]
        },
        "currentDeployment": {
          "data": {
            "id": "<string>"
          }
        },
        "domains": {
          "data": [
            {
              "id": "<string>"
            }
          ]
        },
        "primaryDomain": {
          "data": {
            "id": "<string>"
          }
        },
        "instances": {
          "data": [
            {
              "id": "<string>"
            }
          ]
        },
        "database": {
          "data": {
            "id": "<string>"
          }
        },
        "cache": {
          "data": {
            "id": "<string>"
          }
        },
        "buckets": {
          "data": [
            {
              "id": "<string>"
            }
          ]
        },
        "websocketApplication": {
          "data": {
            "id": "<string>"
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

command
string
required

The command identifier

Query Parameters

include
enum<string>[]
Available options:
environment,
deployment,
initiator

Response

CommandResource

data
CommandResource · object
required
included
(EnvironmentResource · object | DeploymentResource · object | UserResource · object)[]